
TYPO3.Neos - Task # 45444

Work Package # 47023 (Accepted): Global user interface
Task # 47024 (Closed): Overlays

Status: Closed Priority: Should have
Author: Aske Ertmann Category:
Created: 2013-02-13 Assigned To: Mattias Nilsson
Updated: 2014-11-02 Due date:
Subject: Streamline overlay styling
Description

Currently there are a lot of different popups and most of them look different, they should all share a common look which can be used
for all kinds of popups
Popups:
    -  Delete element
    -  Delete page prompt
    -  Inspector prompt
    -  New content element
    -  Image crop/HTML editor
    -  Link wizard
    -  Link browser (not implemented yet) - #45217
    -  Module modals

Related issues:
duplicated by TYPO3.Neos - Bug # 44648: Content Module Dialogs Styling is broken Rejected 2013-01-18

Associated revisions
Revision 154461e4 - 2013-08-25 17:00 - Mattias Nilsson

[TASK] Adjust styling of modals in modules

Change-Id: I166a8117b303cc626380d981c38783a7108c7d41
Related: #45444
Reviewed-on: https://review.typo3.org/23088
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann

Revision 097c0b69 - 2013-11-04 20:23 - Mattias Nilsson

[TASK] Streamline overlay styling

This commit streamlines all the different overlays used
in the whole TYPO3 Neos backend.

Change-Id: I078f0b425e964349cc189aa16ad67a13df3bffa0
Resolves: #45444
Reviewed-on: https://review.typo3.org/24983
Reviewed-by: Sebastian Kurfuerst
Tested-by: Sebastian Kurfuerst
Tested-by: Mr. Hudson
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann

History
#1 - 2013-03-29 12:28 - Aske Ertmann
- Status changed from New to On Hold

Awaiting design concept

#2 - 2013-04-07 14:12 - Aske Ertmann
- Subject changed from Streamline popup styling to Streamline overlay styling
- Parent task changed from #45020 to #47024

#3 - 2013-04-07 14:15 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17889

#4 - 2013-04-07 14:15 - Aske Ertmann
- % Done changed from 0 to 20

#5 - 2013-08-25 16:58 - Aske Ertmann
- Status changed from On Hold to Accepted

#6 - 2013-10-03 09:25 - Aske Ertmann
- File GHmW8Nv.png added
- File JyY8S7e.png added

#7 - 2013-10-03 09:27 - Aske Ertmann
- File wUcP1U8.png added

#8 - 2013-10-09 14:11 - Aske Ertmann
- Assigned To set to Mattias Nilsson
- Target version changed from 1.0 beta 1 to 1.0 alpha 6

#9 - 2013-10-23 20:43 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24983

#10 - 2013-10-24 16:09 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24983

#11 - 2013-10-24 20:19 - Gerrit Code Review
Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24983

#12 - 2013-10-24 20:22 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24983

#13 - 2013-10-24 20:35 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24983

#14 - 2013-10-25 15:34 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24983

#15 - 2013-10-25 20:34 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24983

#16 - 2013-10-30 00:18 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24983

#17 - 2013-10-30 00:33 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24983

#18 - 2013-10-30 00:55 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24983

#19 - 2013-10-31 15:29 - Gerrit Code Review

Patch set 11 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24983

#20 - 2013-10-31 15:36 - Gerrit Code Review
Patch set 12 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24983

#21 - 2013-11-04 20:01 - Gerrit Code Review

Patch set 13 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/24983

#22 - 2013-11-04 20:36 - Mattias Nilsson
- Status changed from Under Review to Resolved
- % Done changed from 20 to 100

Applied in changeset commit:097c0b6996f0002f3cdfeaf0cab2100d7340fc92.

#23 - 2014-11-02 18:24 - Aske Ertmann
- Status changed from Resolved to Closed

Files
GHmW8Nv.png 351.5 kB 2013-10-03 Aske Ertmann
JyY8S7e.png 366.5 kB 2013-10-03 Aske Ertmann
wUcP1U8.png 377.1 kB 2013-10-03 Aske Ertmann
